config/routes.rb
Rails.application.routes.draw do
  devise_for :customers, only: [:sessions], path: 'customers'
  devise_for :cashiers, only: [:sessions], path: 'cashiers'
  devise_for :admins, only: [:sessions], path: 'admins'
    resources :products
    authenticate :admin do
      resources :cashiers, only: [:new, :create, :edit, :update, :destroy, :delete]
    end
    authenticate :cashier do
      resources :products, only: [:index]
    end
    
    resources :cashiers, only: [:index, :show]
    resources :public
    resources :orders do
      collection do
        post 'order_summary'
      end
    end
    resources :customers 

    post 'about', to: "public#about", as: "about"
    #post 'order_summary', to: "orders#order_summary", as: post
    root to: "public#home"
    
end

app/models/admin.rb
class Admin < ApplicationRecord
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable,
        :rememberable, :trackable, :validatable
         
         has_many :cashiers
         has_many :products
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/cashier.rb
class Cashier < ApplicationRecord
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable,
         :rememberable, :trackable, :validatable
    belongs_to :admin
    has_many :orders
end

app/models/customer.rb
class Customer < ApplicationRecord
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :trackable, :validatable
end

app/models/order.rb
class Order < ApplicationRecord
    belongs_to :cashier
    attr_accessor :orderlines_attributes
    has_many :orderlines
    has_many :products
    accepts_nested_attributes_for :orderlines , reject_if: :all_blank, allow_destroy: true
end

app/models/orderline.rb
class Orderline < ApplicationRecord
    belongs_to :order 
    belongs_to :product
end

app/models/product.rb
class Product < ApplicationRecord
    belongs_to :admin
    has_many :orderlines
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  protect_from_forgery with: :exception

end

app/controllers/cashiers_controller.rb
class CashiersController < ApplicationController
    def index
        @cashier = Cashier.all
    end
    
    def new
        @cashier = Cashier.new
    end
    
    def create
        @cashier = Cashier.new(cashier_params)
        @cashier.admin = current_admin
        @cashier.status = true
        @cashier.save
        redirect_to @cashier
    end
    
    def edit
        @cashier =Cashier.find(params['id'])
        if @cashier.admin != current_admin
            redirect_to cashiers_path
        end
    end
    
    def update 
        @cashier = Cashier.find(params['id'])
        @cashier.update(cashier_params)
        @cashier.save
        redirect_to cashiers_path
    end
    
    def delete
        @cashier = Cashier.find(params[:id])
    end
    
    def destroy
       @cashier = Cashier.find(params['id'])
       @cashier.destroy
       redirect_to cashiers_path
    end
    
    def show
        @cashier = Cashier.find(params['id'])
    end
    
    private
    def cashier_params
        params.require(:cashier).permit!
    end
end

app/controllers/customers_controller.rb
class CustomersController < ApplicationController
    
    def new 
        @customer = Customer.new

    end
    
    def create
        @customer = Customer.new(customer_params)
        @customer.save
        redirect_to @customer
    end
    def index
        @product = Product.all
    end
    def show 
    end
    

    
    private
    def customer_params
        params.require(:customer).permit!
    end
end

app/controllers/orders_controller.rb
class OrdersController < ApplicationController
    def index
        @order = Order.all
    end
    
    def new
        @order = Order.new
    end
    
    def create
        @order = current_cashier.orders.new(order_params)
        @order.save
        new_price = compute(@order)
        @order.update_attribute :total_price, new_price
        redirect_to @order
    end
    
    def order_summary 
        @order = Order.new(order_params)
        @order.total_price = 0
    end
    
    def delete
        @order = Order.find(params[:id])
    end
    
    def destroy
       @order = Order.find(params['id'])
       @order.destroy
       redirect_to orders_path
    end
    
    def show
        @order = Order.find(params['id'])
    end
    
    private
    def order_params
        params.require(:order).permit( :total_price, :cash, orderlines_attributes: [:id, :_destroy, :price, :product_id], )
    end
    def compute(a)
        pricee = 0.0
        a.orderlines each do |b|
            b.price = b.product.price * b.quantity.to_d
            pricee += b.price
        end
        return pricee
    end
end

app/controllers/products_controller.rb
class ProductsController < ApplicationController
    before_action :authenticate_admin!
        def new
        @product = Product.new
    end
    
    def index
        @product = Product.all
    end
    
    def create
        @product = Product.new(prod_params)
        @product.admin = current_admin
        @product.save
        redirect_to @product
    end
    
    def edit
        @product = Product.find(params['id'])
        if @product.admin != current_admin
            redirect_to products_path
        end
    end
    
    def update
        @product = Product.find(params['id'])
        @product.update(prod_params)
        @product.save
        redirect_to products_path
    end
    
    def delete
        @product = Product.find(params[:id])
    end
    def destroy
        @product = Product.find(params['id'])
        @product.destroy
        redirect_to products_path
    end
    
    def show
        @product = Product.find(params['id'])
    end
    
    private
    def prod_params
        params.require(:product).permit(:name, :price, :status)
    end
end

app/controllers/public_controller.rb
class PublicController < ApplicationController
    def home
    end
    
    def show
    end
    def index
    end
    def about
    end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/cashiers_helper.rb
module CashiersHelper
end

app/helpers/customers_helper.rb
module CustomersHelper
end

app/helpers/orders_helper.rb
module OrdersHelper
end

app/helpers/products_helper.rb
module ProductsHelper
end

app/helpers/public_helper.rb
module PublicHelper
end

app/views/cashiers/_form.html.erb
<center>
<div>
    <%= form_for @cashier do |i| %>
        <p>
            <%= i.label "#{:name}:" %><br>
            <%= i.text_field :name %>
        </p>
        <div class="panel panel-default">
            <div class="panel-body">
        <div class="field">
            <%= i.label :email %><br>
            <%= i.email_field :email, autofocus: true %>
        </div>
        </div>
        </div>

        <div class="field">
            <%= i.label :password %>
            <% if @minimum_password_length %>
            <em>(<%= @minimum_password_length %> characters minimum)</em>
            <% end %><br />
            <%= i.password_field :password, autocomplete: "off" %>
        </div>

        <div class="field">
            <%= i.label :password_confirmation %><br>
            <%= i.password_field :password_confirmation, autocomplete: "off" %>
        </div>
        <%= i.submit %>
        
    <% end %>

</div>
</center>

app/views/cashiers/edit.html.erb
<h1 align="center"> Edit </h1>

<%= render 'form' %>
<br>
<center><button class="button5 button6"><%= link_to "Cancel", cashier_path %></button></center>

app/views/cashiers/index.html.erb
<center>
<div class="container">
    <h1>Cashiers</h1>
</div>
<div class="container">
<table class="table table-bordered">
  <tr>
        <td align="center"><b>Entry #</b></td>
        <td align="center"><b>Name</b></td>
        <td align="center"><b>Status</b></td>
        <td align="center"><b>Created By</b></td>
        <td align="center"><b>Show</b></td>
    </tr>
    <% @cashier.each do |i| %>

    <tr>
        <td align="center" height="30" style="vertical-align: middle"><%= i.id %></td>
        <td align="center" style="vertical-align: middle"><%= i.name %></td>
        <td align="center" style="vertical-align: middle"><%= i.status %></td>
        <td align="center" style="vertical-align: middle"><%= if i.admin then i.admin.email else "NA" end %>
        <td align="center" style="vertical-align: middle"><button class="button5 button4"><%= link_to "Show",cashier_path(i) %></button></td>
    </tr>

<% end %>
</table>
</div>
<div class="row">
    <div class="col-md-6">
        <h1 class="h1">Create Entry</h1>
        <div class="button">
            <button class="btn btn-default btn-lg" type="submit" style="background-color: #DB504A">
                <span class="glyphicon glyphicon-align-left" aria-hidden="true">
                <%= link_to "Create Entry", cashier_path('new') %>
                </span>
            </button>
        </div>
    </div>
    <div class="col-md-6">
        <h1 class="h1">Back to Menu</h1>
        <div class="button">
            <button class="btn btn-default btn-lg" type="submit" style="background-color: #DB504A">
                <span class="glyphicon glyphicon-align-left" aria-hidden="true">
                <%= link_to "Back to Menu", root_path %>
                </span>
            </button>
        </div>
    </div>
</center>

app/views/cashiers/new.html.erb
<h1 align="center">New Cashier</h1>
<%= render 'form' %>
<br>
<center><button type="button"><%= link_to "Cancel", cashiers_path %></button></center>

app/views/cashiers/shared/_links.html.erb
<%- if controller_name != 'sessions' %>
  <%= link_to "Log in", new_session_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.registerable? && controller_name != 'registrations' %>
  <%= link_to "Sign up", new_registration_path(resource_name) %><br />
<% end -%>

<%#- if devise_mapping.recoverable? && controller_name != 'passwords' && controller_name != 'registrations' %>
  <%#= link_to "Forgot your password?", new_password_path(resource_name) %><br />
<%# end -%>

<%- if devise_mapping.confirmable? && controller_name != 'confirmations' %>
  <%= link_to "Didn't receive confirmation instructions?", new_confirmation_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.lockable? && resource_class.unlock_strategy_enabled?(:email) && controller_name != 'unlocks' %>
  <%= link_to "Didn't receive unlock instructions?", new_unlock_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.omniauthable? %>
  <%- resource_class.omniauth_providers.each do |provider| %>
    <%= link_to "Sign in with #{OmniAuth::Utils.camelize(provider)}", omniauth_authorize_path(resource_name, provider) %><br />
  <% end -%>
<% end -%>

app/views/cashiers/show.html.erb
<center>
    <table width="50%">
        <tr>
            <td align="center">
                <h1>
    <%= "#{@cashier.id} #{@cashier.name}" %> 
</h1>
<div>
    <%= @cashier.status %>
</div>
            </td>
        </tr>
    </table>
<br>
<hr>
<button class="button5 button7"><%= link_to "Back to menu", cashiers_path %></button>
<button class="button5"><%= link_to "Edit Content", edit_cashier_path(@cashier) %></button>
<button class="button5 button6"><%= link_to "Delete", cashier_path, method: :delete, data: {confirm: "Are you sure?"} %></button>
</center>

app/views/customers/index.html.erb
<center>
<head>
    <style>
        body { background-color: white; }
    </style>
</head>
<h1>Welcome Customer #1</h1>
<body>
<div class="container">
<table class="table table-bordered">
  <tr>
        <td align="center"><b>Entry #</b></td>
        <td align="center"><b>Name</b></td>
        <td align="center"><b>Price</b></td>
        <td align="center"><b>Status</b></td>
        <td align="center"><b>Created By</b></td>
    </tr>
    <% @product.each do |i| %>

    <tr>
        <td align="center" height="30" style="vertical-align: middle"><%= i.id %></td>
        <td align="center" style="vertical-align: middle"><%= i.name %></td>
        <td align="center" style="vertical-align: middle"><%= i.price %></td>
        <td align="center" style="vertical-align: middle"><%= i.status %></td>
        <td align="center" style="vertical-align: middle"><%= if i.admin then i.admin.email else "NA" end %>
    </tr>

<% end %>
</table>
</body>
</center>

app/views/customers/new.html.erb
<h2>Sign up</h2>

<%= simple_form_for @customer do |f| %>
  <%= devise_error_messages! %>

  <div><%= f.label :email %><br />
  <%= f.email_field :email %></div>

  <div><%= f.label :password %><br />
  <%= f.password_field :password %></div>

  <div><%= f.label :password_confirmation %><br />
  <%= f.password_field :password_confirmation %></div>

  <div><%= f.submit "Sign up" %></div>
<% end %>

<%= render "links" %>

app/views/customers/shared/_links.html.erb
<%- if controller_name != 'sessions' %>
  <%= link_to "Log in", new_session_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.registerable? && controller_name != 'registrations' %>
  <%= link_to "Sign up", new_registration_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.recoverable? && controller_name != 'passwords' && controller_name != 'registrations' %>
  <%= link_to "Forgot your password?", new_password_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.confirmable? && controller_name != 'confirmations' %>
  <%= link_to "Didn't receive confirmation instructions?", new_confirmation_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.lockable? && resource_class.unlock_strategy_enabled?(:email) && controller_name != 'unlocks' %>
  <%= link_to "Didn't receive unlock instructions?", new_unlock_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.omniauthable? %>
  <%- resource_class.omniauth_providers.each do |provider| %>
    <%= link_to "Sign in with #{OmniAuth::Utils.camelize(provider)}", omniauth_authorize_path(resource_name, provider) %><br />
  <% end -%>
<% end -%>

app/views/customers/show.html.erb
<h2>Sign up</h2>

<%= simple_form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f| %>
  <%= f.error_notification %>

  <div class="form-inputs">
    <%= f.input :email, required: true, autofocus: true %>
    <%= f.input :password, required: true, hint: ("#{@minimum_password_length} characters minimum" if @minimum_password_length) %>
    <%= f.input :password_confirmation, required: true %>
  </div>

  <div class="form-actions">
    <%= f.button :submit, "Sign up" %>
  </div>
<% end %>

<%= render "customers/shared/links" %>

app/views/layouts/_navbar.html.erb
<div class="navbar navbar-default navbar-static-top">
      <div class="container">
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-responsive-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        
        <a> <%= link_to image_tag("home.png"), root_path, :class => "navbar-brand" %></a>
        <div class="navbar-collapse collapse navbar-responsive-collapse">
          <ul class="nav navbar-nav">
            <% if admin_signed_in? %>
            <li><%= link_to "Cashiers", cashiers_path %></li>
            <li><%= link_to "Products", products_path %></li>
            <% elsif cashier_signed_in? %>
            <li><%= link_to "Order", orders_path %></li>
            <li><%= link_to "View Products", products_path %></li>
            <% else %>
            <li><%= link_to "Customer", customers_path %></li>
            <% end %>
          </ul>
          <p class="navbar-text pull-right">
            <% if admin_signed_in? %>
              Logged in as <strong><%= current_admin.email %></strong>
              <%= link_to "Logout", destroy_admin_session_path, method: :delete, class: "navbar-link" %>
            <% elsif cashier_signed_in?  %>
              Logged in as <strong><%= current_cashier.email %></strong>
              <%= link_to "Logout", destroy_cashier_session_path, method: :delete, class: "navbar-link" %>
            <% else %>
              <%= link_to image_tag("admin.png"), new_customer_session_path, class: "navbar-link" %>
              <%= link_to image_tag("admin.png"), new_admin_session_path, class: "navbar-link" %>
              <%= link_to image_tag("cashier.png"), new_cashier_session_path, class: "navbar-link" %>
            <% end %>
          </p>
        </div>
      </div>
    </div>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Workspace</title>
    <%= csrf_meta_tags %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>
  <body>
    <%= render 'layouts/navbar'%>

    <% if notice %>
      <p class="alert alert-success"><%= notice %></p>
    <% end %>
    <% if alert %>
      <p class="alert alert-danger"><%= alert %></p>
    <% end %>
    <%= yield %>
    <footer>
      <p style="text-align: right">&copy; Arandia 2017<a class="btn btn-primary" href="public" role="button">About the Developers</a></p>
    </footer>
  </body>
</html>

app/views/names/shared/_links.html.erb
<%- if controller_name != 'sessions' %>
  <%= link_to "Log in", new_session_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.registerable? && controller_name != 'registrations' %>
  <%= link_to "Sign up", new_registration_path(resource_name) %><br />
<% end -%>

<%#- if devise_mapping.recoverable? && controller_name != 'passwords' && controller_name != 'registrations' %>
  <%#= link_to "Forgot your password?", new_password_path(resource_name) %><br />
<%# end -%>

<%- if devise_mapping.confirmable? && controller_name != 'confirmations' %>
  <%= link_to "Didn't receive confirmation instructions?", new_confirmation_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.lockable? && resource_class.unlock_strategy_enabled?(:email) && controller_name != 'unlocks' %>
  <%= link_to "Didn't receive unlock instructions?", new_unlock_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.omniauthable? %>
  <%- resource_class.omniauth_providers.each do |provider| %>
    <%= link_to "Sign in with #{OmniAuth::Utils.camelize(provider)}", omniauth_authorize_path(resource_name, provider) %><br />
  <% end -%>
<% end -%>

app/views/orders/_form.html.erb
<%= simple_form_for @order, url: {action: "order_summary"} do |f| %>
    <div id="orderlines">
        <div class="links">
            <%= link_to_add_association "Add orderline", f, :orderlines %>
        </div>  
            <%= f.simple_fields_for :orderlines do |orderline| %>
            <%= render 'orderline_fields', f: orderline %>
            <% end %>
    </div>
    <%= f.button :submit %>
<% end %>

app/views/orders/_orderline_fields.html.erb
<div class="nested-fields">
    <table>
        <tbody>
            <tr><td width="50%"><%= f.association :product, collection: Product.where(status:true) %></td>
            <td><%= f.input :quantity, input_html: {value: f.object.quantity || '1'} %></td>
            <td><%= link_to_remove_association "Remove Order", f %></td></tr>
        </tbody>
    </table>
</div>

app/views/orders/index.html.erb
<center>
<h1>Order</h1>
<table class="table">
<h1>
    <strong>
    <tr>
        <td align="center"><b>ID</b></td>
        <td align="center"><b>Cashier</b></td>
        <td align="center"><b>Total</b></td>
        <td align="center"><b>Cash</b></td>
        <td align="center"><b>Order</b></td>
        <td align="center"><b>Show</b></td>
    </tr>

</h1>
<% @order.each do |i| %>

    <tr>
        <td align="center" height="30"><%= i.id %></td>
        <td align="center"><%= i.name %></td>
        <td align="center"><%= i.price %></td>
        <td align="center"><%= i.status %></td> 
        <td align="center"><%= if i.cashier then i.cashier.email else "NA" end %></td> 
        <td align="center"><button type="button"><%= link_to "Show", order_path(i) %></button></td>
    </tr>

<% end %>
</table> 
<hr>
<button type="button"><%= link_to "Create Entry", order_path('new') %></button>
<button type="button"><%= link_to "Back To Menu", root_path %></button>
</center>

app/views/orders/new.html.erb
<body bgcolor="black">
<table align="center" border="5" width="400px" bgcolor="white" bordercolor="cyan">
    <tr>
        <td align="center">
            <h1 align="center">New Order</h1>
            <%= render "form", orderline: @orderline %>
            <br>
            <button type="button"><%= link_to "Cancel", orders_path %></button>
        </td>
    </tr>
</table>
</body>

app/views/orders/order_summary.html.erb
<h1> Confirm</h1>

<table>
    <thead>
        <tr>
            <th>Product</th>
            <th>Quantity</th>
            <th>Subtotal</th>
        </tr>
    </thead>
    <% @order.orderlines.each do |i| %>
    <% i.price = i.product.price * quantity %>
    <% @order.total_price += i.price %>
    <tr>
        <td><%= i.product.name %></td>
        <td><%= i.quantity %></td>
        <td><%= i.price %></td>
    </tr>
    <% end %>
    <tr>
        <th>Total</th>
        <td><%= @order.total_price %></td>
    </tr>
    
</table>

app/views/products/_form.html.erb
<center>
<div>
    <%= form_for @product do |i| %>
        
        <div class="panel panel-default">
          <div class="panel-body">
            <p>
            <%= i.label "#{:name}:" %> <br>
            <%= i.text_field :name %>
            </p>
        </div>
        </div>
        
        <div class="panel panel-default">
          <div class="panel-body">
        <p>
            <%= i.label "#{:price}:" %> <br>
            <!--https://stackoverflow.com/questions/35380287/rails-form-how-to-restrict-number-of-characters-digits-in-input-field-->
            <%= i.number_field :price, :step => "0.01", :min => 0 %>
        </p>
        </div>
        </div>
        <div class="panel panel-default">
  <div class="panel-body">
        <p>
            <%= i.label "#{:status}:" %> <br>
            <% #https://stackoverflow.com/questions/37368907/rails-subitting-a-boolean-field-trough-a-dropdown-menu-in-simple-form https://stackoverflow.com/questions/1956191/ruby-on-rails-drop-down-menu%>
            <%= i.select :status, [['None', false], ['Yes', true]]%>
        </p>
        
        </div>
        </div>
        
        <%= i.submit %>
        
    <% end %>

</div>
</center>

app/views/products/edit.html.erb
<h1 align="center"> Edit </h1>

<%= render 'form' %>
<center>
    <br>
    <button class="button5 button6"><%= link_to "Cancel", product_path %></button>
</center>

app/views/products/index.html.erb
<center>
<head>
    <style>
        body { background-color: white; }
    </style>
</head>
<h1>Products</h1>
<body>
<div class="container">
<table class="table table-bordered">
  <tr>
        <td align="center"><b>Entry #</b></td>
        <td align="center"><b>Name</b></td>
        <td align="center"><b>Price</b></td>
        <td align="center"><b>Status</b></td>
        <td align="center"><b>Created By</b></td>
        <td align="center"><b>Show</b></td>
    </tr>
    <% @product.each do |i| %>

    <tr>
        <td align="center" height="30" style="vertical-align: middle"><%= i.id %></td>
        <td align="center" style="vertical-align: middle"><%= i.name %></td>
        <td align="center" style="vertical-align: middle"><%= i.price %></td>
        <td align="center" style="vertical-align: middle"><%= i.status %></td>
        <td align="center" style="vertical-align: middle"><%= if i.admin then i.admin.email else "NA" end %>
        <td align="center"><button class="button5 button4"><%= link_to "Show",product_path(i) %></button></td>
    </tr>

<% end %>
</table>
<div class="row">
    <div class="col-md-6">
        <h1 class="h1">Create Entry</h1>
        <div class="button">
            <button class="btn btn-default btn-lg" type="submit" style="background-color: #DB504A">
                <span class="glyphicon glyphicon-align-left" aria-hidden="true">
                <%= link_to "Create Entry", product_path('new') %>
                </span>
            </button>
        </div>
    </div>
    <div class="col-md-6">
        <h1 class="h1">Back to Menu</h1>
        <div class="button1">
            <button class="btn btn-default btn-lg" type="submit" style="background-color: #DB504A">
                <span class="glyphicon glyphicon-align-left" aria-hidden="true">
                <%= link_to "Back to Menu", root_path %>
                </span>
            </button>
    </div>
</div>
</body>
</center>

app/views/products/new.html.erb
<body bgcolor="black">
<table align="center" border="5" width="400px" bgcolor="white" bordercolor="cyan">
    <tr>
        <td align="center">
            <h1 align="center">New Product</h1>
            <%= render 'form' %>
            <br>
            <button type="button"><%= link_to "Cancel", products_path %></button>
        </td>
    </tr>
</table>
</body>

app/views/products/show.html.erb
<center>
    <table width="50%">
        <tr>
            <td align="center">
                <h1>
    <%= "#{@product.id} #{@product.name}" %> 
</h1>
<div>
    <%= @product.status %>
</div>
            </td>
        </tr>
    </table>
<br>
<hr>
<button class="button5 button7"><%= link_to "Back to menu", products_path %></button>
<button class="button5"><%= link_to "Edit Content", edit_product_path(@product) %></button>
<button class="button5 button6"><%= link_to "Delete", product_path, method: :delete, data: {confirm: "Are you sure?"} %></button>
</center>